Bug 450618 - add composer to imdb searches
Summary: add composer to imdb searches
Status: RESOLVED FIXED
Alias: None
Product: tellico
Classification: Applications
Component: general (show other bugs)
Version: 3.4.1
Platform: Kubuntu Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Robby Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-20 15:41 UTC by schahramsigi
Modified: 2022-02-21 22:37 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 3.4.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schahramsigi 2022-02-20 15:41:15 UTC
Unfortunately, the field music (composer) is not taken into account in imdb searches
Comment 1 Robby Stephenson 2022-02-20 19:47:00 UTC
(In reply to schahramsigi from comment #0)
> Unfortunately, the field music (composer) is not taken into account in imdb
> searches

Hi, could you please follow the bug template and let me know what your example search is and what the expected results should be? Thanks
Comment 2 schahramsigi 2022-02-21 17:32:30 UTC
Hello Robby
I manage my film database with tellico.
For new films, if I search using imdb as the data source, all fields 
such as director and script, etc. are retrieved and entered. Only the 
composer field is always ignored! Although very often there is an entry 
of music on imdb.com.

Am 20.02.22 um 20:47 schrieb Robby Stephenson:
 > https://bugs.kde.org/show_bug.cgi?id=450618
 >
 > Robby Stephenson <robby@periapsis.org> changed:
 >
 >             What    |Removed                     |Added
 > 
----------------------------------------------------------------------------
 >               Status|REPORTED                    |NEEDSINFO
 >           Resolution|---                         |WAITINGFORINFO
 >
 > --- Comment #1 from Robby Stephenson <robby@periapsis.org> ---
 > (In reply to schahramsigi from comment #0)
 >> Unfortunately, the field music (composer) is not taken into account 
in imdb
 >> searches
 >
 > Hi, could you please follow the bug template and let me know what 
your example
 > search is and what the expected results should be? Thanks
 >


Gruß Schahram
Comment 3 Robby Stephenson 2022-02-21 22:20:23 UTC
(In reply to schahramsigi from comment #2)
> Hello Robby
> I manage my film database with tellico.
> For new films, if I search using imdb as the data source, all fields 
> such as director and script, etc. are retrieved and entered. Only the 
> composer field is always ignored! Although very often there is an entry 
> of music on imdb.com.

Yes, rather than me going to search imdb myself for a movie with composer, could you not just give me an example of one? :) even if there are tons of them, it's just always better to give the exact search you're attempting and the expected result...it helps immensely
Comment 4 Robby Stephenson 2022-02-21 22:37:49 UTC
Git commit 63ca112216bd62af70b99c9f149f0f58a7d6ecd0 by Robby Stephenson.
Committed on 21/02/2022 at 22:36.
Pushed by rstephenson into branch '3.4'.

Update IMDb fetcher to include composer

The reference page where the composer is listed doesn't seem to be
localized for non-english languages. Once it is, then the other language
options will need ot be updated.
FIXED-IN: 3.4.5

M  +4    -0    ChangeLog
M  +13   -6    src/fetch/imdbfetcher.cpp
M  +1    -0    src/fetch/imdbfetcher.h
M  +1    -0    src/tests/imdbfetchertest.cpp

https://invent.kde.org/office/tellico/commit/63ca112216bd62af70b99c9f149f0f58a7d6ecd0